FedoraForum.org - Fedora Support Forums and Community
Page 1 of 4 1 2 3 ... LastLast
Results 1 to 15 of 56
  1. #1
    Join Date
    Dec 2013
    Location
    Germany
    Posts
    34

    acroread does not open in F26

    after I updated my F25 to F26 acroread said it is unable to locate theme engine murrine in module_path, thus, I installed murrinegtk-murrine-engine.i686 but now, when I run the command acroread, it simply does not open .. Can anybody help?

  2. #2
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,399

    Re: acroread does not open in F26

    is your fedora installation actually 32-bit? if not you need the x86_64 murrine engine package and not i686

  3. #3
    Join Date
    Dec 2013
    Location
    Germany
    Posts
    34

    Re: acroread does not open in F26

    Of course, it's 64 bit, but after upgrading to f26 acroread said: unable to locate theme engine murrine

    Thus, I googled and found the advice to install also the 32-bit package - now, acroread does not complain anymore - however, it still does not open. Maybe, instead of installing the 32-bit package, the solution woul have been to explicitly add murrine to the module path, but I don't know how to do this. Is anybody running acroread on F26?

  4. #4
    Join Date
    Nov 2010
    Posts
    40

    Re: acroread does not open in F26

    Same thing here. I just noticed this as well. I used it in 25 just fine. Did a complete wipe and install of 26. Here is the error Im getting when I try and launch it.

    Jul 13 19:04:08 acroread[11220]: Unable to locate theme engine in module_path: "adwaita",
    Jul 13 19:04:08 acroread[11220]: Unable to locate theme engine in module_path: "adwaita",
    Jul 13 19:04:08 acroread[11220]: Failed to load module "pk-gtk-module"
    Jul 13 19:04:08 acroread[11220]: Failed to load module "canberra-gtk-module"
    Last edited by jaybot; 14th July 2017 at 01:37 AM.

  5. #5
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,399

    Re: acroread does not open in F26

    try uninstalling acrobat reader and re-installing it if you haven't already. also check the dependencies below are installed:

    libcanberra-gtk2.i686
    adwaita-gtk2-theme.i686
    PackageKit-gtk3-module.i686

    if it still doesn't work, I'd suggest atril as an alternative document reader for now. Because adobe reader isn't a Fedora Project package you can't really open a bug about this on bugzilla either because they'll just close it straight away. Adobe don't maintain the reader any longer either.

  6. #6
    Join Date
    Mar 2007
    Posts
    85

    Re: acroread does not open in F26

    I am fine with Evince.

  7. #7
    Join Date
    Nov 2006
    Location
    Detroit
    Posts
    6,669

    Re: acroread does not open in F26

    Seeing the same problem on the F26 install on my work machine. None of the proposed solutions either here on in other forums work. Everything else in the upgrade from F25 worked, Acrobat Reader was the only problem. Luckily it's not a big deal on my machine at work, I can live with that. But for my home machine it might be a deal breaker; I use Acrobat Reader a lot. So I'll hold off on upgrading my home machine until a solution has been found.
    OS: Fedora 27 x86_64 | Machine: HP Pavilion a6130n | CPU: AMD 64 X2 Dual-Core 5000+ 2.6GHz | RAM: 7GB PC5300 DDR2 | Disk: 400GB SATA | Video: ATI Radeon HD 4350 512MB | Sound: Realtek ALC888S | Ethernet: Realtek RTL8201N

  8. #8
    Join Date
    Nov 2010
    Posts
    40

    Re: acroread does not open in F26

    If anyone wants to try and install the last version of adobe reader for linux on 26 and troubleshoot here is the command to do so.

    dnf -y install ftp://ftp.adobe.com/pub/adobe/reader...6linux_enu.rpm

  9. #9
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,399

    Re: acroread does not open in F26

    actually you really need to take out the -y from that command to troubleshoot. the -y switch will automatically input yes for any required user input so you won't know what has been changed or not.

  10. #10
    Join Date
    Nov 2006
    Location
    Detroit
    Posts
    6,669

    Re: acroread does not open in F26

    Quote Originally Posted by jaybot
    If anyone wants to try and install the last version of adobe reader for linux on 26 and troubleshoot here is the command to do so.

    dnf -y install ftp://ftp.adobe.com/pub/adobe/reader...6linux_enu.rpm
    That 9.5.5-1 version is the one I've been using for the last 4 years, and it's the one that doesn't work on my F26 system.

    I saved the strace output from my F26 system at work, and tomorrow I'll compare it to the strace output when running Acrobat Reader on my F25 system at home. One thing I noticed was that on the F26 system there were messages saying
    Gtk-WARNING **: Unable to locate theme engine in module_path: “adwaita”
    and in the strace output the sigsegv occurred after not finding some Adwaita files. That's interesting, because I don't even use Adwaita on that system. It makes me suspect that in F26 maybe GTK+ has something hard-coded to look for Adwaita first. Of course I tried installing the adwaita-gtk2-theme package (both 64 and 32-bit), and it didn't help. Installing gtk2-engines didn't help either (64 and 32-bit).
    OS: Fedora 27 x86_64 | Machine: HP Pavilion a6130n | CPU: AMD 64 X2 Dual-Core 5000+ 2.6GHz | RAM: 7GB PC5300 DDR2 | Disk: 400GB SATA | Video: ATI Radeon HD 4350 512MB | Sound: Realtek ALC888S | Ethernet: Realtek RTL8201N

  11. #11
    Join Date
    Jan 2015
    Location
    Al Ain, UAE
    Posts
    736

    Re: acroread does not open in F26

    Hmm, Acroread is disabled? That sounds like a security feature...
    --
    Have fun!
    http://www.aeronetworks.ca

  12. #12
    Join Date
    Aug 2007
    Posts
    177

    Success with Centos 7 installation

    Out of curiosity I installed the given 9.5.5 rpm in a Centos 7 system. Centos 7 is supported until 2024. It required 67 packages to be installed and others updated but it installed fine and works perfectly.

    Since Fedora 25 is only supported for 6-7 months more if the Fedora 26 bug cannot be fixed this provides an option for those who need AdobeReader for its unique functions such as editing pdf forms.

    Code:
    sudo yum install /mnt/data-raid1/Downloads/AdbeRdr9.5.5-1_i486linux_enu.rpm 
    Loaded plugins: fastestmirror, langpacks
    Examining /mnt/data-raid1/Downloads/AdbeRdr9.5.5-1_i486linux_enu.rpm: AdobeReader_enu-9.5.5-1.i486
    Marking /mnt/data-raid1/Downloads/AdbeRdr9.5.5-1_i486linux_enu.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package AdobeReader_enu.i486 0:9.5.5-1 will be installed
    --> Processing Dependency: libatk-1.0.so.0 for package: AdobeReader_enu-9.5.5-1.i486
    adobe-linux-x86_64                                                                                                                                 | 2.9   
    
    ....
    --> Running transaction check
    ---> Package libblkid-devel.x86_64 0:2.23.2-33.el7 will be updated
    ---> Package libblkid-devel.x86_64 0:2.23.2-33.el7_3.2 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==========================================================================================================================================================================
     Package                                 Arch                        Version                                     Repository                                          Size
    ==========================================================================================================================================================================
    Installing:
     AdobeReader_enu                         i486                        9.5.5-1                                     /AdbeRdr9.5.5-1_i486linux_enu                      135 M
    Installing for dependencies:
     atk                                     i686                        2.14.0-1.el7                                base                                               250 k
     audit-libs                              i686                        2.6.5-3.el7_3.1                             updates                                             85 k
     avahi-libs                              i686                        0.6.31-17.el7                               base                                                61 k
    
    ....
    
     openssl-libs                            x86_64                      1:1.0.1e-60.el7_3.1                         updates                                            959 k
     util-linux                              x86_64                      2.23.2-33.el7_3.2                           updates                                            1.9 M
    
    Transaction Summary
    ==========================================================================================================================================================================
    Install  1 Package  (+67 Dependent packages)
    Upgrade             ( 21 Dependent packages)
    
    Total size: 179 M
    Total download size: 44 M
    Is this ok [y/d/N]: y
    Downloading packages:
    updates/7/x86_64/prestodelta                                                                                                                       | 907 kB  00:00:13     
    Delta RPMs reduced 11 M of updates to 3.0 M (73% saved)
    (1/88): audit-libs-python-2.6.5-3.el7_2.6.5-3.el7_3.1.x86_64.drpm                                                                                  |  10 kB  00:00:00     
    (2/88): audit-libs-2.6.5-3.el7_2.6.5-3.el7_3.1.x86_64.drpm                                                                                         |  11 kB  00:00:03     
    (3/88): audit-libs-devel-2.6.5-3.el7_2.6.5-3.el7_3.1.x86_64.drpm                                                                                   |  22 kB  00:00:05     
    
    ....
    
    
      Verifying  : libtiff-4.0.3-25.el7_2.x86_64                                                                                                                      108/110 
      Verifying  : libuuid-devel-2.23.2-33.el7.x86_64                                                                                                                 109/110 
      Verifying  : libblkid-2.23.2-33.el7.x86_64                                                                                                                      110/110 
    
    Installed:
      AdobeReader_enu.i486 0:9.5.5-1                                                                                                                                          
    
    Dependency Installed:
      atk.i686 0:2.14.0-1.el7               audit-libs.i686 0:2.6.5-3.el7_3.1        avahi-libs.i686 0:0.6.31-17.el7            cairo.i686 0:1.14.2-1.el7                  
      cups-libs.i686 1:1.6.3-26.el7         dbus-libs.i686 1:1.6.12-17.el7           expat.i686 0:2.1.0-10.el7_3                fontconfig.i686 0:2.10.95-10.el7           
      freetype.i686 0:2.4.11-12.el7         gdk-pixbuf2.i686 0:2.31.6-3.el7          glib2.i686 0:2.46.2-4.el7                  glibc.i686 0:2.17-157.el7_3.4              
      graphite2.i686 0:1.3.6-1.el7_2        gtk2.i686 0:2.24.28-8.el7                harfbuzz.i686 0:0.9.36-1.el7               jasper-libs.i686 0:1.900.1-30.el7_3        
      jbigkit-libs.i686 0:2.0-11.el7        keyutils-libs.i686 0:1.5.8-3.el7         krb5-libs.i686 0:1.14.1-27.el7_3           libICE.i686 0:1.0.9-2.el7                  
      libSM.i686 0:1.2.2-2.el7              libX11.i686 0:1.6.3-3.el7                libXau.i686 0:1.0.8-2.1.el7                libXcomposite.i686 0:0.4.4-4.1.el7         
      libXcursor.i686 0:1.1.14-2.1.el7      libXdamage.i686 0:1.1.4-4.1.el7          libXext.i686 0:1.3.3-3.el7                 libXfixes.i686 0:5.0.1-2.1.el7             
      libXft.i686 0:2.3.2-2.el7             libXi.i686 0:1.7.4-2.el7                 libXinerama.i686 0:1.1.3-2.1.el7           libXrandr.i686 0:1.4.2-2.el7               
      libXrender.i686 0:0.9.8-2.1.el7       libXt.i686 0:1.1.4-6.1.el7               libXxf86vm.i686 0:1.1.3-2.1.el7            libcap-ng.i686 0:0.7.5-4.el7               
      libcom_err.i686 0:1.42.9-9.el7        libdrm.i686 0:2.4.67-3.el7               libffi.i686 0:3.0.13-18.el7                libgcc.i686 0:4.8.5-11.el7                 
      libidn.i686 0:1.28-4.el7              libjpeg-turbo.i686 0:1.2.90-5.el7        libpciaccess.i686 0:0.13.4-3.el7_3         libpng.i686 2:1.5.13-7.el7_2               
      libselinux.i686 0:2.5-6.el7           libsepol.i686 0:2.5-6.el7                libstdc++.i686 0:4.8.5-11.el7              libthai.i686 0:0.1.14-9.el7                
      libtiff.i686 0:4.0.3-27.el7_3         libuuid.i686 0:2.23.2-33.el7_3.2         libverto.i686 0:0.2.5-4.el7                libxcb.i686 0:1.11-4.el7                   
      libxml2.i686 0:2.9.1-6.el7_2.3        libxshmfence.i686 0:1.2-1.el7            mesa-libEGL.i686 0:11.2.2-2.20160614.el7   mesa-libGL.i686 0:11.2.2-2.20160614.el7    
      mesa-libGLU.i686 0:9.0.0-4.el7        mesa-libgbm.i686 0:11.2.2-2.20160614.el7 mesa-libglapi.i686 0:11.2.2-2.20160614.el7 nss-softokn-freebl.i686 0:3.16.2.3-14.4.el7
      openssl-libs.i686 1:1.0.1e-60.el7_3.1 pango.i686 0:1.36.8-2.el7                pangox-compat.i686 0:0.0.2-2.el7           pcre.i686 0:8.32-15.el7_2.1                
      pixman.i686 0:0.34.0-1.el7            xz-libs.i686 0:5.2.2-1.el7               zlib.i686 0:1.2.7-17.el7                  
    
    Dependency Updated:
      audit.x86_64 0:2.6.5-3.el7_3.1            audit-libs.x86_64 0:2.6.5-3.el7_3.1     audit-libs-devel.x86_64 0:2.6.5-3.el7_3.1  audit-libs-python.x86_64 0:2.6.5-3.el7_3.1 
      glibc.x86_64 0:2.17-157.el7_3.4           glibc-common.x86_64 0:2.17-157.el7_3.4  glibc-devel.x86_64 0:2.17-157.el7_3.4      glibc-headers.x86_64 0:2.17-157.el7_3.4    
      jasper-libs.x86_64 0:1.900.1-30.el7_3     libblkid.x86_64 0:2.23.2-33.el7_3.2     libblkid-devel.x86_64 0:2.23.2-33.el7_3.2  libmount.x86_64 0:2.23.2-33.el7_3.2        
      libpciaccess.x86_64 0:0.13.4-3.el7_3      libtiff.x86_64 0:4.0.3-27.el7_3         libtiff-devel.x86_64 0:4.0.3-27.el7_3      libuuid.x86_64 0:2.23.2-33.el7_3.2         
      libuuid-devel.x86_64 0:2.23.2-33.el7_3.2  openssl.x86_64 1:1.0.1e-60.el7_3.1      openssl-devel.x86_64 1:1.0.1e-60.el7_3.1   openssl-libs.x86_64 1:1.0.1e-60.el7_3.1    
      util-linux.x86_64 0:2.23.2-33.el7_3.2    
    
    Complete!
    
     $ which acroread
    /usr/bin/acroread
    $ file /usr/bin/acroread
    /usr/bin/acroread: symbolic link to `/opt/Adobe/Reader9/bin/acroread'
    $ file /opt/Adobe/Reader9/bin/acroread
    /opt/Adobe/Reader9/bin/acroread: POSIX shell script, ASCII text executable

  13. #13
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,399

    Re: acroread does not open in F26

    so does running an older fedora in VM or Windows for that matter. The only reason I can foresee for still using Adobe Reader is form submission.

  14. #14
    Join Date
    Aug 2009
    Location
    In a cardboard box
    Posts
    2,078

    Re: acroread does not open in F26

    I used to miss my wife but then my aim improved.

  15. #15
    Join Date
    Feb 2005
    Location
    London, UK
    Posts
    565

    Re: acroread does not open in F26

    Quote Originally Posted by antikythera
    so does running an older fedora in VM or Windows for that matter. The only reason I can foresee for still using Adobe Reader is form submission.
    The evince PDF viewer supports form completion does it not?

Page 1 of 4 1 2 3 ... LastLast

Similar Threads

  1. Acroread
    By npsilva in forum Using Fedora
    Replies: 2
    Last Post: 15th December 2010, 03:48 PM
  2. acroread 8
    By BoyWonder410 in forum Using Fedora
    Replies: 10
    Last Post: 4th March 2008, 02:01 PM
  3. acroread on FC6
    By overule in forum Using Fedora
    Replies: 50
    Last Post: 3rd September 2007, 07:44 AM
  4. About acroread
    By satimis in forum Using Fedora
    Replies: 2
    Last Post: 5th March 2007, 12:41 PM
  5. Acroread and FC6
    By georges_dib in forum Using Fedora
    Replies: 6
    Last Post: 9th November 2006, 02:18 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •